Name:           inkscape
Version:        0.49
Release:        20131029bzr12742%{?dist}
Summary:        Vector-based drawing program using SVG

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://inkscape.sourceforge.net/
Source0:        http://downloads.sourceforge.net/inkscape-0.49.tar.bz2
Patch0:         inkscape-0.48.2-types.patch
#Patch4:         inkscape-0.48.2-glib.patch
#Patch5:         inkscape-0.48.2-png.patch
#Patch6:         inkscape-0.48.2-png-write.patch
#Patch7:         inkscape-0.48.2-gcc47.patch
#Patch8:         inkscape-0.48.2-poppler_020.patch
#Patch9:         inkscape-0.48.3.1-hugexml.patch
#Patch10:        inkscape-0.48.4-spuriouscomma.h
Patch11:		inkscape-0.48+devel-fix-desktop-file.patch

%if 0%{?fedora} && 0%{?fedora} < 18
%define desktop_vendor fedora
%endif

BuildRequires:  atk-devel
BuildRequires:  desktop-file-utils
BuildRequires:  freetype-devel
BuildRequires:  gc-devel >= 6.4
BuildRequires:  gettext
BuildRequires:  gtkmm24-devel >= 2.8.0
BuildRequires:  gtkspell-devel
BuildRequires:  gnome-vfs2-devel >= 2.0
BuildRequires:  libpng-devel >= 1.2
BuildRequires:  libxml2-devel >= 2.6.11
BuildRequires:  libxslt-devel >= 1.0.15
BuildRequires:  pango-devel
BuildRequires:  pkgconfig
BuildRequires:  lcms-devel >= 1.13
BuildRequires:  cairo-devel
BuildRequires:  dos2unix
BuildRequires:  python-devel
BuildRequires:  poppler-glib-devel
BuildRequires:  boost-devel
BuildRequires:  gsl-devel
BuildRequires:  libwpg-devel
BuildRequires:  ImageMagick-c++-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(ExtUtils::Embed)
BuildRequires:  intltool
BuildRequires:  popt-devel
BuildRequires:	dbus-glib-devel
# We detect new poppler in inkscape-0.48.2-poppler_020.patch
BuildRequires:  automake 

# Disable all for now. TODO: Be smarter
%if 0
Requires:       dia
Requires:       pstoedit
Requires:       ghostscript
Requires:       perl(Image::Magick)
Requires:       tex(latex)
Requires:       tex(dvips)
Requires:       transfig
Requires:       gimp
Requires:       numpy
Requires:       python-lxml
# TODO: Deal with these (autoreqs, disabled now):
# perl(Cwd)
# perl(Exporter)
# perl(File::Basename)
# perl(Getopt::Long)
# perl(Getopt::Std)
# perl(MIME::Base64)
# perl(Pod::Usage)
# perl(SVG)
# perl(SVG::Parser)
# perl(XML::XQL)
# perl(XML::XQL::DOM)
# perl(strict)
# perl(vars)
# perl(warnings)
%endif
Requires:       python-lxml
Requires:       numpy
Requires:       uniconvertor
Requires:	dbus
# the package requires libperl.so, so it also has to require this:
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Filter out perl requires and provides
# XXX: For now _all_
%global __perl_provides %{nil}
%global __perl_requires %{nil}

ExcludeArch: s390 s390x ppc64 ppc

%description
Inkscape is a vector graphics editor, with capabilities similar to
Illustrator, CorelDraw, or Xara X, using the W3C standard Scalable Vector
Graphics (SVG) file format.  It is therefore a very useful tool for web
designers and as an interchange format for desktop publishing.

Inkscape supports many advanced SVG features (markers, clones, alpha
blending, etc.) and great care is taken in designing a streamlined
interface. It is very easy to edit nodes, perform complex path operations,
trace bitmaps and much more.


%package view
Summary:        Viewing program for SVG files
Group:          Applications/Productivity
# the package requires libperl.so, so it also has to require this:
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description view
Viewer for files in W3C standard Scalable Vector Graphics (SVG) file
format.


%package docs
Summary:        Documentation for Inkscape
Group:          Documentation
Requires:       inkscape

%description docs
Tutorial and examples for Inkscape, a graphics editor for vector
graphics in W3C standard Scalable Vector Graphics (SVG) file format.


%prep
%setup -q
%patch0 -p1 -b .types
#%patch4 -p1 -b .glib
#%patch5 -p0 -b .png
#%patch6 -p0 -b .png-write
#%patch7 -p0 -b .gcc47
#%patch8 -p1 -b .poppler_020
#%patch9 -p0 -b .hugexml
#%patch10 -p0 -b .spuriouscomma
%patch11 -p0 -b .fix-desktop-file

# https://bugs.launchpad.net/inkscape/+bug/314381
# A couple of files have executable bits set,
# despite not being executable
find . -name '*.cpp' | xargs chmod -x
find . -name '*.h' | xargs chmod -x
find share/extensions -name '*.py' | xargs chmod -x

# Fix end of line encodings
dos2unix -k -q share/extensions/*.py

#autoreconf -i


%build
%configure                      \
        --with-python           \
        --with-perl             \
        --with-gnome-vfs        \
        --with-xft              \
        --enable-lcms           \
        --enable-poppler-cairo  \
	--enable-dbusapi

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="%{?desktop_vendor}" --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# No skencil anymore
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/extensions/sk2svg.sh
#Remove extra files from enabling dbus support
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/pkgconfig/inkdbus.pc
rm -f $RPM_BUILD_ROOT%{_libdir}/libinkdbus.so
rm -f $RPM_BUILD_ROOT%{_libdir}/libinkdbus.a
rm -f $RPM_BUILD_ROOT%{_includedir}/libinkdbus-0.48/libinkdbus/inkscape-dbus-wrapper.h

%find_lang %{name}


%check
# XXX: Tests fail, ignore it for now
# make -k check || :


%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/update-desktop-database -q &> /dev/null ||:
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/inkscape
%{_libdir}/libinkdbus.so.0
%{_libdir}/libinkdbus.so.0.0.0
%{_datadir}/dbus-1/services/org.inkscape.service
%dir %{_datadir}/inkscape
%{_datadir}/inkscape/branding
%{_datadir}/inkscape/extensions
%{_datadir}/inkscape/filters
%{_datadir}/inkscape/fonts
%{_datadir}/inkscape/gradients
%{_datadir}/inkscape/icons
%{_datadir}/inkscape/keys
%{_datadir}/inkscape/markers
%{_datadir}/inkscape/palettes
%{_datadir}/inkscape/patterns
%{_datadir}/inkscape/screens
%{_datadir}/inkscape/templates
%{_datadir}/inkscape/ui
%{_datadir}/inkscape/attributes
%{_datadir}/inkscape/symbols
%{_datadir}/applications/*inkscape.desktop
%{_datadir}/icons/hicolor/*/*/inkscape*
%{_mandir}/*/*gz
%{_mandir}/*/*/*gz
%exclude %{_mandir}/man1/inkview.1*
%doc AUTHORS COPYING ChangeLog NEWS README


%files view
%defattr(-,root,root,-)
%{_bindir}/inkview
%{_mandir}/man1/inkview.1*
%doc AUTHORS COPYING ChangeLog NEWS README


%files docs
%defattr(-,root,root,-)
%dir %{_datadir}/inkscape
%{_datadir}/inkscape/tutorials
%{_datadir}/inkscape/examples


%changelog
* Tue Oct 29 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 0.49-20131029bzr12742
- Updated to the newest trunk
* Tue Oct 22 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 0.49-20131022bzr12712
- Updated to the newest trunk
* Wed Sep 25 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 0.49-20130925bzr12590
- [12590] Proper fix for bug 1127103 (Filter changes color when object flipped.) 
- [12589] Updating libdepixelize version
- [12588] Fix my email address through codebase
- [12587] bzrignore: Ignore some library makefiles
- [12586] Make sure selection->setList checks for dupes by routing to 
          selection->addList.
- [12585] Replace xml node get_double with simple direct value.
- [12584] change names for displayName and detailedDescription, improve char 
          code and remove const.
- [12583] for bitmap import, use a default value of 90 dpi, if not otherwise 
          specified. Bug 165952, comment 43.
- [12582] Fixed FeComponentTransfer.
- [12581] fix crash on uninitialized unittracker for spinbuttons. fixes crash on
          changing major grid line number, possibly other random crashes
- [12580] Added missing registration of FeDistantLight; made sure warnings on 
          missing types are always issued.
- [12579] Bumping new version of libdepixelize
- [12578] Disable smooth output in Inkscape PixelArtDialog

* Mon Sep 23 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 0.49-20130923bzr12577
- [12577] Fix percentage document size handling.
- [12576] Fixed bug in last commit.
- [12575] Fix adding viewBox to new documents. 
          fixes bugs: https://launchpad.net/bugs/1228660 
                      https://launchpad.net/bugs/1228693 
                      https://launchpad.net/bugs/1228852
- [12574] Fix CMake build (follow-up to r12567)
- [12573] autogen.sh: Added note about forthcoming fix for intltool issue
- [12572] README:  Simplify description and make more current The C to C++ 
          conversion is old news.
- [12571] units: Catch FileError if no units.xml is in /usr/local/...
  
          Reproducible by building and running inkscape in-tree, without
          installation.
  
          #10 0x0000000000aa6873 in Inkscape::Util::UnitTable::UnitTable
          (this=0x11f75e0) at util/units.cpp:195
          filename = 0x121e8f0 "/usr/local/share/inkscape/ui/units.xml"
- [12570] Merge gsoc procedural templates work.
- [12569] Fixed segfault on copying text. 
          fixes bug: https://launchpad.net/bugs/1228509
- [12568] Fix preview page number for PDF Cairo import dialog
- [12567] Rm unused dom/svg2.h
- [12566] Fix tautological comparison for enum of unspecified type
- [12565] Drop unused static function declarations
- [12564] Fix make dist. 
          fixes bug: https://launchpad.net/bugs/1188627
- [12563] Fix format security errors. 
          fixes bug: https://launchpad.net/bugs/1193025
- [12562] Fixed CMake build.
- [12561] Rectangles can be drawn inside other shapes again. 
          fixes bug: https://launchpad.net/bugs/1228393
- [12560] remove file from exclude list, linker issue was solved by adding 
          namespace
- [12559] fix Windows build
- [12558] partial 2geom update, fixes linker errors] (duplicate code, should be 
          fixed later)
- [12557] Use viewBox for new documents. 
          fixes bugs: https://launchpad.net/bugs/171203 
                      https://launchpad.net/bugs/168261
- [12556] Fix the text filter issue and revert many changes.
- [12555] Fix build with dbus api enabled.
- [12554] Merge Google Summer of Code unit improvement.
- [12553] Using inkscape compact settings to save the icons.svg file
- [12552] Fix grids after C++ification. Patch from Markus Engel
- [12551] make check: Fix harder. Remove muldefs hack and modify quote-test.h so
          that the hack is not required any more.
- [12550] Refactor status-bar text for multiple items, was very broken. 
          fixes bug: https://launchpad.net/bugs/1199192
- [12549] Fix make check after merge of cppify branch
- [12548] Fix assertion failure on Ctrl+C
- [12547] updates for cmake
- [12546] Show warning when input image of Trace Pixel Art dialog is too large.
- [12545] Removing redundant "include config.h"
- [12544] Do not require a new layer for clipping paths in the Cairo renderer. 
          fixes bug: https://launchpad.net/bugs/523285
- [12543] Fix serious potential bug in SPImage::print
- [12542] Remove a warning when embedding an image with a mimetype which is not 
          directly handled by Cairo
- [12541] Fix colors when tracing
- [12540] Merge in doxygen updates from Vinipsmaker
- [12539] Merge in Adonis Papaderos' fix for bug lp:898797. 
          fixes bug: https://launchpad.net/bugs/898797
- [12538] Remove outdated example file sp-skeleton.cpp
- [12537] Fix type mismatch for platforms where gsize is not unsigned long
- [12536] Revert some agressive changes and allow a seperate filter bbox for 
          FER, should be refactored at some point.
- [12535] Fixing colors in libdepixelize integration output.
- [12534] Updating libdepixelize integration to use new Inkscape::Pixbuf 
          interface. Fixes build issue introduced in last commit.
- [12533] Merging libdepixelize branch
- [12532] Merge C++ification of the SP tree by Markus Engel
- [12531] Encapsulate the shared memory hack for Cairo and GdkPixbuf in a class 
          called Inkscape::Pixbuf. Replace usage in the code as appropriate.
- [12530] Merge in patch for Jabiertxo Arraiza Cenoz in bug lp:1127103. 
          fixes bug: https://launchpad.net/bugs/1127103
- [12529] Merge in David Mathog (mathog) patch for bug #1224486. 
          fixes bug: https://launchpad.net/bugs/1224486
- [12528] Remove setItemBounds and _item_bbox because aren't sensible, replace 
          with bbox. fixes bug: https://launchpad.net/bugs/243729
- [12527] Fix cmake+ninja install (bug #1224543) 
          fixes bug: https://launchpad.net/bugs/1224543
- [12526] Fix for Bug #1217602 (Measure Path fails with XML too deep error) 
          by dave m. fixes bug: https://launchpad.net/bugs/1217602
- [12525] Remove compute drawbox and replace with area_elarge, make sure we use 
          bbox
- [12524] Path->Inset trial 2. revert rev 12279. (fix Bug 1218333). 
          fixes bug: https://launchpad.net/bugs/1218333
- [12523] Scale rendering of pattern fill of text when chaning zoom level; 
          partial fix for blocker bug #1005892; this reinstates a line that was 
          commented out in rev. 12488. 
          fixes bug: https://launchpad.net/bugs/1005892
- [12522] Dutch translation update
- [12521] UI message uniformisation
- [12520] UI message uniformisation
- [12519] Fixes bug 953992 (Imported pattern fill disappers while transforming)
- [12518] Path->Inset. remove redundant node on inner join. (Bug 1218333) 
          fixes bug: https://launchpad.net/bugs/1218333
- [12517] fix windows build
- [12516] Do not recompress images when embedding and generating PDFs. 
          Fixes blocker bug #871563.
- [12515] Fix serious bug in recent GdkPixbuf / Cairo interop rework
- [12514] Remove cc2.0 and 2.5 licenses
- [12513] Fix the latest error with the adobe svg ns errors, boundry exceptions 
          caused security failure.
- [12512] Improve the functions which create GdkPixbuf from Cairo surface and 
          vice versa. Simplifies some code. Also introduce proper refcounting 
          into svg_preview_cache.cpp and fix its users.
- [12511] Use g_match_info_free instead of g_match_info_unref for better Glib 
          compatibility
- [12510] Merge in fix for critical blocker #166371. 
          fixes bug: https://launchpad.net/bugs/166371
- [12509] Forgot check in last commit.
- [12508] Fix handling of SVG lengths with spaces between value and unit 
          (hopefully without breaking things this time) [Bug #1208002]. 
          fixes bug: https://launchpad.net/bugs/1208002
- [12507] fix Windows build
- [12506] partially revert 12471, this fixes bug 1215575, but undoes the fix 
          for the less important bug 1208002. 
          fixes bug: https://launchpad.net/bugs/1215575 
          (also improved unit conversion legibility)
- [12505] improve legibility
- [12504] Add a check so objects removed from the document dont crash inkscape, 
          happens on close bc event race condition or misorder of what to 
          destroy. fixes bug: https://launchpad.net/bugs/1220143
- [12503] Fix for bug #1219175 (Typing in Layers Dialog searches hidden/unhidden
          state instead of layer name). 
          fixes bug: https://launchpad.net/bugs/1219175
- [12502] Translation. Latvian translation update by Jānis Eisaks.
- [12501] Fix for Bug #1220758 (gears extention test broke make dist) by Ryan 
          Lerch. fixes bug: https://launchpad.net/bugs/1220758
	
* Wed Sep 04 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 0.49-20130904bzr12500
- [12500] Allow EMF import from Wine apps on Linux
- [12499] Unduplicate some code in the metafile printing extensions
- [12498] Fix grids with comma as decimal separator [Bug #1216306].
- [12497] Fix compilation warnings in libuemf
- [12496] extensions. simplestyle.py. allow spaces at end of style
          attribute (Bug 1216859)
- [12495] Fix PNG export with non-px default unit [Bug #1215104].
- [12494] Update the generate_POTFILES.sh script and POTFILES.in
- [12493] update cmakefiles
- [12492] Fix error in the Artistic Style options file
- [12491] Add Artistic Style options file
- [12490] Move libuemf to a separate directory. Rename libunicode-
          convert to symbol_convert and put it in libuemf.
- [12489] Merge in pdf work by david bild, thanks David\!
- [12488] Merge emf/wmf work
- [12487] Updating outdated test. Fixes bug #1202271.
- [12486] German translation update
- [12485] Latvian translation update by Jānis Eisaks. Ukrainian 
          translation update by Yuri Chornoivan.
- [12484] New merge text extension (see Bug #960046).
- [12483] Fix make check on OS X
- [12482] better memory leak fix (fixes bug 986271: memory leaks 
          associated with images) Patch by David Mathog, including 
          revert of former fix in rev 11268
- [12481] Prevent writing out empty style strings.
- [12480] Add option to write out path data using only relative 
          coordinates (in addition to using only absolute coordinates 
          or using a mixture of absolute and relative coordinates 
          optimized for length).
- [12479] Fix Gtk+ 3 build failure and make check
- [12478] Fix warning and hopefully fix build failures on Launchpad
- [12477] fix build with dbusapi enabled
- [12476] NewFromTemplate GSoC project for static templates
- [12475] Merge bool fix and clean up the warning
- [12474] Merge in object-to-path enabler dbus command
- [12473] Packaging. Hebrew translation by Yaron Shahrabani.
- [12472] Remove missing files from POTFILES.in
- [12471] Merge Google Summer of Code unit refactor.
- [12470] init SPStyle better: fixes a bunch of bugs resulting from 
          improper re-init of SPStyle struct. (after r12452)
- [12469] code cleanup (cppcheck)
- [12468] fix memleak (rows)
- [12467] cppcheck
- [12466] cppcheck: c-style casts > c++ style casts
- [12465] catch exception by reference
- [12464] reduce variable scope
- [12463] reduce scope of variables
- [12462] rename variable for clarity
- [12461] fix small "performance" issues (cppcheck)
- [12460] fix initialization
- [12459] fix initialization
- [12458] some code cleanup, trying to get it through cppcheck
- [12457] fix bug
- [12456] cleanup
- [12455] function cleanup
- [12454] remove unused variable
- [12453] init members
- [12452] disable really bad memset on a huge struct that contains 
          member objects besides just integers and enums
- [12451] add comment. cppcheck false positive
- [12450] pdf import. re-define tiling pattern scaling matrix (Bug 
          1168908)
- [12449] cppcheck fix:  Memory leak: rows
- [12448] cppcheck Common realloc mistake: 'qrsData' nulled but not 
          freed upon failure
- [12447] Fix gears test
- [12446] Fix return code for extension tests]
- [12445] Fix extensions that fail unit tests
- [12444] Fix attributes test list
- [12443] Fix POTFILES.in missing files
- [12442] Fix build error
- [12441] German translation update
- [12440] Fix selection of images in outline mode. Fixes LP #1089702
- [12439] Remove unnecessary variable from the GMarkup-based unit 
          parser
- [12438] Remove the "simple SAX" parser. Replace its only use 
          (loading of unit definitions in util/units.cpp) with 
          Glib::Markup
- [12437] Remove mentions of DialogScript verb from keybinding files
- [12436] Comparison between licenses are now done by comparing the 
          License URI.
- [12435] Actually remove approx-equal.h (oops again)
- [12434] Fix stray prototype of a removed function
- [12433] Actually remove the file containing the unused fix (oops)
- [12432] Remove unused fix for an ancient problem with g_ascii_strtod
- [12431] Remove approx-equal.h and replace with Geom::are_near
- [12430] Fix spelling error in filename
- [12429] Remove the Digest class. Replace its only use with a glibmm 
          call.
- [12428] Remove the disabled script dialog and the nonfunctional 
          Java binding
- [12427] German translation update
- [12426] Added my name to the AUTHORS file.
- [12425] Rename the "clipart" directory to the more descriptive name 
          "branding". Remove duplicate Inkscape logos.
- [12424] Changed metadata tooltips to match the definition of Dublin 
          Core terms.
- [12423] Fix ordering of verbs
- [12422] Revert accidental change to configure.ac
- [12421] Fix remaining g_type_init deprecation issues
- [12420] Shape calculations. re-introduce grid of a smaller size.  
          (http://article.gmane.org/
          gmane.comp.graphics.inkscape.devel/40786)
- [12419] Minor C++ish refactoring pass.
- [12418] Whitespace cleanup.

* Fri Jul 12 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 0.49-20130712bzr12417
- [12417] Use Jon Cruz info about OptRect to correctly get area height and width
- [12416] Do not effect the focus in align computation
- [12415] Change small to sml to fix windows compile problem
- [12414] Remove align point, not required any more
- [12413] Step 2 refactoring the align functions, added some functionality to selection.
- [12412] Merge in Eric's dbus name option
- [12411] Small refactor of align and distribute to reduce complexity.
- [12410] Fix for Bug #1185132 (colorspace.h not included in the tarball when doing a make dist) by Ryan Lerch.
- [12409] Revert wrong changes and apply right fixes from prev-commit
- [12408] Make colour a guint instead of a uint. bug 1198501
- [12407] Fix build failure with GDL >= 3.6
- [12406] Fix verbs that were out by 5 because of missing script verbs (broken between r7137-r11611)
- [12405] Merge: Add Hershey extension for engraving fonts
- [12404] Merge: version 2.31 of the guides creator
- [12403] Merge: scale, rotate and skew handles refactoring
- [12402] Merge: Command-line and DBus refactoring to improve inkscapes ability to be run headless.
- [12401] Make handle colour a configurable property.
- [12400] Refactor resize, rotate, skew handle code
- [12399] Shape calculations. do not quantize the coordinates. (Bug 168158)
- [12398] LPE bend path: fix crash on "uskeleton.cuts.back()" because of empty uskeleton.
- [12397] Transform dialog. do not use singular transforms. (Bug 1189446)
- [12396] Make DAMN sure paths with zero nodes do not cause a crash.
- [12395] Fix crash when undoing/redoing a duplicate layer.
- [12394] Add the ability to reorder filters using drag-drop in the gtklist
- [12393] Extensions. Strings consistency fix in Rack gears extension.] Translations. Translatable files list, translation template and French translation update.
- [12392] Update makefile for extensions for gears
- [12391] Add render rack gear extension from bug#1174800, modify gears location to render sub-menu
- [12390] Fix Gtk3 build by including togglebutton header
- [12389] Using CC0 link instead of old Public Domain link
- [12388] Merge in: remove-hard-coded-toggle-dropper-keybinding
- [12387] Correctly ignore symbolic link to ltmain.sh
- [12386] Documentation spelling fix
- [12385] Remove unused file memeq.h
- [12384] Translations. Ukrainian translation update by Yuri Chornoivan.
- [12383] odf metadata - let's begin with a first step to full ODF compatibility
- [12382] cppcheck
- [12381] Translations. Finnish translation fix by Ville Pätsi (see Bug #752457) and translation template update.
- [12380] Fix my own mis-credit and some symbols labels

* Mon Jun 17 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 0.49-20130617bzr12379
- [12379] Fix layer selection so defs don't change layers, updated 
          symbol text.
- [12378] Fix for 1184408 : Additional zoom levels in zoom context menu
- [12377] Revert Fix for 600285 : Zoom slider
- [12376] Improve icons for symbols dialog
- [12375] Fix crash for external symbol documents, should never select 
          these items.
- [12374] Big change in symbols ui and selection chemistry.
- [12373] Allow svg elements to be ungrouped
- [12372]  Do not allow markers for children of markers (prevent loop)
- [12371] Use fixed inkscape icon for 'no-marker' instead of gtk theme icon
- [12370] Fix Apache2 license conflict with GPL with re-license from 
          SOIX upstream
- [12369] Use 'remove' instead of 'gtk-remove' for theme.
- [12368] Restore the old behavior of autogen.sh (do not automatically 
          run configure).
- [12367] Change back to using NULL and fix windows theme error by checking
- [12366] Fix bug where symbols weren't identified as such
- [12365] extensions. hpgl input. new import routine by TimeWaster
- [12364] Fix new bug with No-Marker having no icon, use Stock GTK::Remove icon 
          for No-Marker.
- [12363] Change marker layout in stroke-widget so they are all on one line.
- [12362] use visual bbox in calculation of filter area (Bug 1188336)
- [12361] Remove use of separate array for scale values.
- [12360] Replace multiple copies of GTK2/GTK3 #ifdef code with single helper 
          function.
- [12359] Refactor --export-pdf-version detection. If the user try to export the 
          pdf and ps versions at one run, the sp_export_pdf detection would fail. 
          A better approach (this commit) is to check the mime argument.
- [12358] C++ conversion of parallel arrays to vector of class instances.
- [12357] Check for value in range before dereferencing.
- [12356] Glibmm 2.32+ fix extended to optional components. Fixes bug #1179338.
- [12355] Adding inclusion of config.h where needed for threads.h check
- [12354] Warning cleanup.

* Thu Jun 06 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 0.49-20130606bzr12353
- [12353] Added configure/ifdef guards to only bring in the needed #include if glibmm has it.
- [12352] Fixes r12348 and r12350.Typo error (sp_export_pdf_version instead sp_export_pdf).
- [12351] Fix symbol-title missing crash
- [12350] Add option to set --export-ps-level. Fixes bug #669748.
          Moreover, a bug in --export-pdf-version was fixed. The bug made Inkscape crash
          if someone try to export a ps file.
- [12349] Refactor: Changed some functions from Extension to const.
          The functions changed to const:
           * get_param_color
           * get_param_enum
           * get_param_optiongroup
           * get_param_enum_contains
- [12348] Add command line option to specify PDF export version. Patch from schwieni.
          From the patch's author:
          Additional command line option added to export to different PDF-versions
          supported by cairo (currently only "PDF 1.4" and "PDF 1.5"). The user must
          provide the exact string found in the PDF-export dialog of Inkscape. This
          feature was previously only accessible via the GUI of Inkscape. This option is
          useful for people opting for PDF-a conformance in their PDFs. Moreover, the
          Extension and Parameter classes are extended by setters for enum parameters
          (used in combo boxes).
- [12347] Correct to compile against recent gtkmm, including updated macports versions. 
          Fixes bug #1179338.
- [12346] Dutch translation update
- [12345] Fix for command line EPS/PS export (bug 1173776). Patch from Vinipsmaker.
- [12344] extensions. dxf input. create default layer 0 if it does not exist (Bug 1123907)
- [12343] Prevent crash from middle marker when a path or polyline has only one point.
- [12342] boolops. allow Division to create hole (Bug 499744)
- [12341] Reverting fix for Bug #1022543.
- [12340] Fix for bug #1022543 (Ctrl+C increments the documents count) by Maggio.
- [12339] Refactored internals to use a vector of structs instead of several 
          parallel arrays.
- [12338] New symbol-button icons
- [12337] Win32. More include fixes for glibmm 2.36 (file dialog).
- [12336] Win32. Fixing some more include issues (glibmm threads depracation).
- [12335] Win32. Adding missing include (failed with the gtk3 devlibs).
- [12334] Fix for Bug #1173806 (Don't use deprecated g_type_init()) by Davis Evans.
- [12333] cleanup document option to clean up unused swatches
- [12332] Moved icc selector members to internal helper.
- [12331] Translations. PO template update.
- [12330] Fix for Bug #1085949 (Use ImageMagick fallback when importing bitmap 
          resolution).
- [12329] Fix for Bug #448872 (Changing the bounding box type in preferences does 
          not update the preview) by Vinipsmaker.
- [12328] Fix for Bug #181493 (Locked layers not completely locked) by frenchie4111.
- [12327] Fix for Bug #683561 (Can't select text using click - [SHIFT+click]).
- [12326] Fix for Bug #515267 (CTRL+DEL and CTRL+BACKSPACE in text boxes doesn't work)
- [12325] Fix for 871563 : JPG images are recompressed with lower quality when embedded
- [12324] Improve code documentation for symbols
- [12323] Palettes: Add pure black and white to Tango palette

* Tue May 07 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 0.49-20130507bzr12322
- [12322] Fix for 1171434 : trunk: INX <optiongroup> broken^
- [12321] Christoffer Holmstedt 2013-04-21 Fixed compilation warnings and updated 
          tweak-move and tweak-move-jitter cursors. Fixes bug #587729.
- [12320] Fix UI after inclusion of gimp style sliders

* Thu May 02 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 0.49-20130502bzr12319
- [12319] alt + scroll to select messes up opacity
- [12318] Fix typo in en_gb translation
- [12317] Fix UI after inclusion of gimp style sliders
- [12316] Update minimum window size logic for cases when not saving window positions.
- [12315] Fix for Bug #830663 (default window size is too small) by Jiabao Wu
- [12314] Fix for Bug #629081 (Spiro and path operations fails) by Matthew Petroff.
- [12313] Fix for Bug #257223 (Object to Path should work for Connectors) by Matthew Petroff.
- [12312] UI messages
- [12311] Fixed logic error confusing bitwise and with logical and
          Whitespace cleanup to make the issue easier to spot.
- [12310] Temporily fix abiguous macros before later removal.

* Wed May 01 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 0.49-20130501bzr12310
- First Nightly Build at inkscape trunk revision 12310.

* Fri Feb 15 2013 Jon Ciesla <limburgher@gmail.com> - 0.48.4-4
- Fix FTBFS.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.48.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Marek Kasik <mkasik@redhat.com> - 0.48.4-2
- Rebuild (poppler-0.22.0)

* Thu Dec 06 2012 Jon Ciesla <limburgher@gmail.com> - 0.48.3.1-4
- 0.48.4, fix XXE security flaw.
- Correct man page ownership.

* Thu Dec 06 2012 Jon Ciesla <limburgher@gmail.com> - 0.48.3.1-4
- Fix directory ownership, BZ 873817.
- Fix previous changelog version.

* Mon Nov 19 2012 Nils Philippsen <nils@redhat.com> - 0.48.3.1-3
- update sourceforge download URL

* Thu Nov 01 2012 Jon Ciesla <limburgher@gmail.com> - 0.48.3.1-2
- Allow loading large XML, BZ 871012.

* Fri Oct 05 2012 Jon Ciesla <limburgher@gmail.com> - 0.48.3.1-1
- Lastest upstream.

* Thu Oct 04 2012 Jon Ciesla <limburgher@gmail.com> - 0.48.2-13
- Added dep on uniconvertor, BZ 796424.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.48.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 09 2012 Petr Pisar <ppisar@redhat.com> - 0.48.2-11
- Perl 5.16 rebuild

* Mon Jul  2 2012 Marek Kasik <mkasik@redhat.com> - 0.48.2-10
- Rebuild (poppler-0.20.1)

* Wed Jun 27 2012 Petr Pisar <ppisar@redhat.com> - 0.48.2-9
- Perl 5.16 rebuild

* Sat Jun 23 2012 Rex Dieter <rdieter@fedoraproject.org> 
- 0.48.2-8
- fix icon/desktop-file scriptlets (#739375)
- drop .desktop vendor (f18+)
- inkscape doesn't build with poppler-0.20.0 (#822413)

* Fri Jun 15 2012 Petr Pisar <ppisar@redhat.com> - 0.48.2-7
- Perl 5.16 rebuild

* Mon Jun 11 2012 Adel Gadllah <adel.gadllah@gmail.com> - 0.48.2-6
- Rebuild for new poppler

* Wed Apr 11 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.48.2-5
- Rebuild for ImageMagik

* Thu Mar  8 2012 Daniel Drake <dsd@laptop.org> - 0.48.2-4
- Fix build with GCC 4.7

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.48.2-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.48.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 15 2011 German Ruiz <germanrs@fedoraproject.org> - 0.48.2-1
- New upstream version
- Fix glib include compile problem
- Fix compilation against libpng-1.5

* Fri Oct 28 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.48.1-10
- rebuild(poppler)

* Fri Sep 30 2011 Marek Kasik <mkasik@redhat.com> - 0.48.1-9
- Rebuild (poppler-0.18.0)

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.48.1-8
- Rebuild (poppler-0.17.3)

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.48.1-7
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.48.1-6
- Perl mass rebuild

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 0.48.1-5
- Rebuild (poppler-0.17.0)

* Sun Mar 13 2011 Marek Kasik <mkasik@redhat.com> - 0.48.1-4
- Rebuild (poppler-0.16.3)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.48.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 09 2011 Lubomir Rintel <lkundrak@v3.sk> - 0.48.1-2
- Re-enable GVFS for OCAL

* Mon Feb 07 2011 Lubomir Rintel <lkundrak@v3.sk> - 0.48.1-1
- Bump release

* Fri Feb 04 2011 Lubomir Rintel <lkundrak@v3.sk> - 0.48.0-10
- Drop gnome-vfs requirement
- Fix Rawhide build

* Sat Jan 01 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.48.0-9
- rebuild (poppler)

* Wed Dec 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.48.0-8
- rebuild (poppler)

* Wed Dec 08 2010 Caolán McNamara <caolanm@redhat.com> - 0.48.0-7
- rebuilt (libwpd)

* Sun Nov 14 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.48.0-6
- rebuilt (poppler)

* Tue Oct 05 2010 Nils Philippsen <nils@redhat.com> - 0.48.0-5
- Rebuild for poppler update

* Wed Sep 29 2010 jkeating - 0.48.0-4
- Rebuilt for gcc bug 634757

* Wed Sep 29 2010 Dan Horák <dan[at]danny.cz> - 0.48.0-3
- drop the s390(x) ExcludeArch

* Mon Sep 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.48.0-2
- rebuild for new ImageMagick

* Wed Aug 25 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.48.0-1
- New upstream release
- Drop el5 support

* Thu Aug 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.48-0.5.20100505bzr
- rebuild (poppler)

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.48-0.4.20100505bzr
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.48-0.3.20100505bzr
- Mass rebuild with perl-5.12.0

* Wed May 05 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.48-0.2.20100505bzr
- Move to later snapshot
- Drop uniconvertor patch

* Tue Apr 06 2010 Caolán McNamara <caolanm@redhat.com> - 0.48-0.2.20100318bzr
- Resolves: rhbz#565106 fix inkscape-0.47-x11.patch to not clobber INKSCAPE_LIBS

* Thu Mar 18 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.48-0.1.20100318bzr
- Update to latest bazaar snapshot

* Thu Feb 18 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.47-7
- Fix build

* Wed Jan 20 2010 Stepan Kasal <skasal@redhat.com> - 0.47-6
- ExcludeArch: s390 s390x

* Fri Jan 15 2010 Stepan Kasal <skasal@redhat.com> - 0.47-5
- require perl(:MODULE_COMPAT_5.10.x) because the package requires libperl.so
- the same for inkscape-view

* Fri Jan  8 2010 Owen Taylor <otaylor@redhat.com> - 0.47-4
- Remove loudmouth BuildRequires; there is no current usage of loudmouth in the code

* Sun Dec 06 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-2
- Fix Rawhide build.

* Wed Nov 25 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-1
- Stable release

* Mon Nov 23 2009 Adam Jackson <ajax@redhat.com> 0.47-0.18.pre4.20091101svn
- Fix RHEL6 build.

* Mon Sep 07 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.17.pre4.20091101svn
- Icon for main window (#532325)

* Mon Sep 07 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.16.pre4.20091101svn
- Move to a later snapshot
- python-lxml and numpy seem to be rather popular, add them as hard deps

* Mon Sep 07 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.16.pre3.20091017svn
- Move to a later snapshot

* Mon Sep 07 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.16.pre3.20090925svn
- Move to a later snapshot
- Drop debugging compiler flags, enable optimizations again
- Make it build on everything since EL5 again

* Mon Sep 07 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.16.pre2.20090907svn
- Move inkview man page to -view subpackage (#515358)
- Add license, etc. to main package

* Mon Sep 07 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.15.pre2.20090907svn
- Update to a post-pre2 snapshot

* Mon Aug 10 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.15.pre1.20090629svn
- Update to a post-pre1 snapshot
- Drop upstreamed CRC32 fix

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.47-0.14.pre0.20090629svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 29 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.13.pre0.20090629svn
- Update to a newer snapshot

* Tue Jun 16 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.12.pre0.20090616svn
- Update to post-pre0 snapshot

* Tue Jun 02 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.11.20090602svn
- More recent snapshot
- Upstream removed rasterized icons again

* Sat May 23 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.10.20090518svn
- Rebuild for new poppler

* Mon May 18 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.9.20090518svn
- Update past upstream Beta release

* Mon May 18 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.8.20090508svn
- Fix ODG export

* Fri May 08 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.7.20090508svn
- Update to a post-alpha snapshot
- Upstream applied our GCC 4.4 patch

* Fri Apr 10 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.6.20090410svn
- Update to newer snapshot
- Fix doc/incview reversed subpackage content

* Wed Mar 04 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.6.20090301svn
- Rebuild for new ImageMagick

* Wed Mar 04 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.5.20090301svn
- Split documentation and inkview into subpackages

* Mon Mar 02 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.4.20090301svn
- Bump to later SVN snapshot to fix inkscape/+bug/331864
- Fix a startup crash when compiled with GCC 4.4
- It even runs now! :)

* Fri Feb 27 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.4.20090227svn
- Enable the test suite

* Fri Feb 27 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.3.20090227svn
- Past midnight! :)
- More recent snapshot, our gcc44 fixes now upstream
- One more gcc44 fix, it even compiles now
- We install icons now, update icon cache
- Disable inkboard, for it won't currently compile

* Thu Feb 26 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.3.20090226svn
- Later snapshot
- Compile with GCC 4.4

* Tue Jan 06 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.3.20090105svn
- Update to newer SVN
- Drop upstreamed patches
- Enable WordPerfect Graphics support
- Enable embedded Perl scripting
- Enable Imagemagick support
- Disable OpenSSL due to licensing issues

* Thu Aug 14 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.3.20080814svn
- Update to today's SVN snapshot
- Drop the upstreamed poppler patch

* Wed Aug 13 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.2.20080705svn
- Rediff patches for zero fuzz
- Use uniconvertor to handle CDR and WMF (#458845)

* Wed Jul 09 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.47-0.1.20080705svn
- Subversion snapshot

* Wed Jul 09 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.46-4
- Fix compile issues with newer gtk and poppler

* Thu Jun 26 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.46-3
- Remove useless old hack, that triggered an assert after gtkfilechooser switched to gio

* Fri Apr 11 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.46-2.1
- More buildrequires more flexible, so that this builds on RHEL

* Sat Apr 05 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.46-2
- Fix LaTeX rendering, #441017

* Tue Mar 25 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.46-1
- 0.46 released

* Sun Mar 23 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.46-0.3.pre3
- Rebuild for newer Poppler

* Wed Mar 12 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.46-0.2.pre3
- Probably last prerelease?

* Fri Feb 22 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.46-0.2.pre2
- Panel icon sizes

* Sun Feb 17 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.46-0.1.pre2
- 0.46pre2
- Dropping upstreamed patches

* Sat Feb 16 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1+0.46pre1-5
- Attempt to fix the font selector (#432892)

* Thu Feb 14 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1+0.46pre1-4
- Tolerate recoverable errors in OCAL feeds
- Fix OCAL insecure temporary file usage (#432807)

* Wed Feb 13 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1+0.46pre1-3
- Fix crash when adding text objects (#432220)

* Thu Feb 07 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1+0.46pre1-2
- Build with gcc-4.3

* Wed Feb 06 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1+0.46pre1-1
- 0.46 prerelease
- Minor cosmetic changes to satisfy the QA script
- Dependency on Boost
- Inkboard is not optional
- Merge from Denis Leroy's svn16571 snapshot:
- Require specific gtkmm24-devel versions
- enable-poppler-cairo
- No longer BuildRequire libsigc++20-devel

* Wed Dec  5 2007 Denis Leroy <denis@poolshark.org> - 0.45.1-5
- Rebuild with new openssl

* Sun Dec 02 2007 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1-4
- Added missing dependencies for modules (#301881)

* Sun Dec 02 2007 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1-3
- Satisfy desktop-file-validate, so that Rawhide build won't break

* Sat Dec 01 2007 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1-2
- Use GTK print dialog
- Added compressed SVG association (#245413)
- popt headers went into popt-devel, post Fedora 7
- Fix macro usage in changelog

* Wed Mar 21 2007 Denis Leroy <denis@poolshark.org> - 0.45.1-1
- Update to bugfix release 0.45.1
- Added R to ImageMagick-perl (#231563)

* Wed Feb  7 2007 Denis Leroy <denis@poolshark.org> - 0.45-1
- Update to 0.45
- Enabled inkboard, perl and python extensions
- Added patch for correct python autodetection
- LaTex patch integrated upstreamed, removed
- Some rpmlint cleanups

* Wed Dec  6 2006 Denis Leroy <denis@poolshark.org> - 0.44.1-2
- Added patches to fix LaTex import (#217699)
- Added patch to base postscript import on pstoedit plot-svg

* Thu Sep  7 2006 Denis Leroy <denis@poolshark.org> - 0.44.1-1
- Update to 0.44.1
- Removed png export patch, integrated upstream
- Some updated BRs

* Mon Aug 28 2006 Denis Leroy <denis@poolshark.org> - 0.44-6
- FE6 Rebuild

* Tue Aug 22 2006 Denis Leroy <denis@poolshark.org> - 0.44-5
- Removed skencil Require (bug 203229)

* Thu Aug 10 2006 Denis Leroy <denis@poolshark.org> - 0.44-4
- Added patch to fix png dpi export problem (#168406)

* Wed Aug  9 2006 Denis Leroy <denis@poolshark.org> - 0.44-3
- Bumping up release to fix upgrade path

* Wed Jun 28 2006 Denis Leroy <denis@poolshark.org> - 0.44-2
- Update to 0.44
- Removed obsolete patches
- Disabled experimental perl and python extensions
- Added pstoedit, skencil, gtkspell and LittleCms support
- Inkboard feature disabled pending further security tests

* Tue Feb 28 2006 Denis Leroy <denis@poolshark.org> - 0.43-3
- Rebuild

* Mon Jan 16 2006 Denis Leroy <denis@poolshark.org> - 0.43-2
- Updated GC patch, bug 171791

* Sat Dec 17 2005 Denis Leroy <denis@poolshark.org> - 0.43-1
- Update to 0.43
- Added 2 patches to fix g++ 4.1 compilation issues
- Enabled new jabber/loudmouth-based inkboard feature

* Mon Sep 26 2005 Denis Leroy <denis@poolshark.org> - 0.42.2-2
- rebuilt with newer glibmm

* Thu Sep  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.42.2-1
- update to 0.42.2

* Thu Aug 18 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.42-3
- rebuilt
- add patch to repair link-check of GC >= 6.5 (needs pthread and dl)

* Fri Jul 29 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.42-2
- Extend ngettext/dgettext patch for x86_64 build.

* Tue Jul 26 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.42-1
- update to 0.42 (also fixes #160326)
- BR gnome-vfs2-devel
- no files left in %%_libdir/inkscape
- include French manual page
- GCC4 patch obsolete, 64-bit patch obsolete, dgettext patch split off

* Tue May 31 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.41-7
- append another 64-bit related patch (dgettext configure check failed)

* Tue May 31 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.41-6
- remove explicit aclocal/autoconf calls in %%build as they create a
  bad Makefile for FC4/i386, which causes build to fail (#156228),
  and no comment explains where they were added/needed

* Tue May 31 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.41-5
- bump and rebuild as 0.41-4 failed in build system setup

* Wed May 25 2005 Jeremy Katz <katzj@redhat.com> - 0.41-4
- add patch for gcc4 problems (ignacio, #156228)
- fix build on 64bit boxes.  sizeof(int) != sizeof(void*)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.41-3
- rebuild on all arches

* Thu Apr 07 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Feb 09 2005 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.41-1
- 0.41.
- enable python.

* Sat Dec 04 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.40-1
- 0.40.

* Tue Nov 16 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.40-0.pre3
- 0.40pre3.

* Thu Nov 11 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.39-0.fdr.2
- post/postun for new mime system.
- Dropped redundant BR XFree86-devel.

* Sun Aug 29 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.39-0.fdr.1
- 0.39.

* Sat Apr 10 2004 P Linnell <scribusdocs at atlantictechsolutions.com> 0:0.38.1-0.fdr.1
- respin real fix for Provides/Requires for perl(SpSVG)

* Fri Apr 9 2004 P Linnell <scribusdocs at atlantictechsolutions.com> 0:0.38.1-0.fdr.0
- respin with updated tarball with fix for postscript printing

* Thu Apr 8 2004 P Linnell <scribusdocs at atlantictechsolutions.com> 0:0.38-0.fdr.2
- respin to fix provides

* Thu Apr 8 2004 P Linnell <scribusdocs at atlantictechsolutions.com> 0:0.38.0.fdr.1
- version upgrade with many improvements and bug fixes

* Fri Mar 19 2004 P Linnell <scribusdocs at atlantictechsolutions.com> 0:0.37.0.fdr.7
- repsin - sourceforge does not allow reloading files with same name
* Tue Mar 16 2004 P Linnell <scribusdocs at atlantictechsolutions.com> 0:0.37.0.fdr.6
- fix typo in provides
* Tue Mar 16 2004 P Linnell <scribusdocs at atlantictechsolutions.com> 0:0.37.0.fdr.5
- add %%{release} to provides perl(SpSVG) = %%{epoch}:%%{version}:%%{release} only
* Tue Mar 16 2004 P Linnell <scribusdocs at atlantictechsolutions.com> 0:0.37.0.fdr.4
- add %%{release} to provides
* Sun Mar 14 2004 P Linnell <scribusdocs at atlantictechsolutions.com> 0:0.37.0.fdr.3
- add arch dependent flags
* Thu Mar 11 2004 P Linnell <scribusdocs at atlantictechsolutions.com> 0:0.37.0.fdr.2
- add libsigc++-devel instead of add libsigc++ - duh
- add BuildRequires:  perl-XML-Parser
- fix package name to follow package naming guidelines
* Mon Mar 1 2004   P Linnell <scribusdocs at atlantictechsolutions.com>   0:0.37.1.fdr.1
- disable static libs
- enable inkjar
* Tue Feb 10  2004 P Linnell <scribusdocs at atlantictechsolutions.com>   0:0.37.0.fdr.1
- pgp'd tarball from inkscape.org
- clean out the cvs tweaks in spec file
- enable gnome-print
- add the new tutorial files
- make sure .mo file gets packaged
- add provides: perlSVG
- submit to Fedora QA
* Sat Feb 7  2004 P Linnell <scribusdocs at atlantictechsolutions.com>
- rebuild of current cvs
- tweaks to build cvs instead of dist tarball
- add inkview
* Sat Dec 20 2003 P Linnell <scribusdocs at atlantictechsolutions.com>
- First crack at Fedora/RH spec file
- nuke gnome print - it won't work (bug is filed already)
